@import "globals";

.leaderboard{
    text-align: center;
}

.profile-pic{
    height: 3em;
    font-size: 1.5em;
    font-weight: bold;
}

header{
    color: white;
    padding-bottom: 2px;
    font-size: 0.6em;
}

.user-score{
    @include inuit-clearfix();
    background-color:$brz-white;
    color: $brz-black;
    padding: 0 0.5em;
    margin: 0 2px;

    .stats{
        font-weight: bold;
        float: right;
        >div{
            display: inline-block;
            padding: 0 5px;
        }
    }
}

header:after{
    content: ""
}

.rank{
    position: relative;
    >img{
        margin-top: 0.2em;
    }
    .index{
        position: absolute;
        top: 7%;
        left: 16%;
        font-size: 1.3em;
        font-weight: bold;
        width:70%;
    }
}
.ranks-list{
    color: white;

}
.score-rank{
    margin: 0.5em;
    border-radius: $border-radius;
    .u-stats{
        margin-top:0.5em;
        font-size: 0.6rem;
    }
    .u-h4{
        font-weight: bold;
    }
}


@import "subjects.scss";    

@mixin leaderboard-colors($gradStart, $gradEnd, $color3: $gradEnd){
    
    $gradDiff: $gradEnd - $gradStart;

    .score-rank:nth-child(1){
        background: $gradEnd;
    }
    .score-rank:nth-child(2){
        background: $gradEnd - $gradDiff * 0.2;
    }
    .score-rank:nth-child(3){
        background: $gradEnd - $gradDiff * 0.4;
    }
    .score-rank:nth-child(4){
        background: $gradEnd - $gradDiff * 0.6;
    }
    .score-rank:nth-child(5){
        background: $gradEnd - $gradDiff * 0.8;
    }
    .score-rank:nth-child(6){
        background: $gradStart;
    }
}

.last-places{
    
}
@each $subject, $value in $subjects{
    .#{$subject} { 
        @include leaderboard-colors($value...)
    } 
}